# Sleep Operator

The **Sleep** operator pauses a workflow for a given amount of time.

## Operator arguments <a href="#operator-arguments" id="operator-arguments"></a>

| Name      | Type             | Value Restrictions | Required | Default | Description                                        |
| --------- | ---------------- | ------------------ | -------- | ------- | -------------------------------------------------- |
| `seconds` | Number (integer) | `seconds` > 0      | Yes      |         | The number of seconds for which pause the workflow |

### Examples <a href="#examples" id="examples"></a>

#### Pause a workflow for 30 seconds <a href="#pause-a-workflow-for-30-seconds" id="pause-a-workflow-for-30-seconds"></a>

```yaml
name: Pause
operator: Sleep
arguments:
  seconds: 30
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akamas.io/akamas-docs/3.6/reference/workflow-operators/sleep-operator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
